<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <section>
        <img src="https://i.picsum.photos/id/866/100/100.jpg" alt="Texto alternativo" id="miImagen"
            data-camara="Modelo de la cámara" data-efecto="Efectos aplicados" data-geo="Latitud y longitud"
            data-fecha="Fecha en la que se tomó la foto">
    </section>
    <script>
        const imagenConEfecto = document.querySelectorAll("img[data-efecto]");
        const camara = document.querySelector("#miImagen").dataset;

        const elemento = document.querySelector("#miImagen");
        const cam = elemento.dataset.camara;

        const attribute = elemento.getAttribute("data-geo");
        elemento.setAttribute("data-geo", "some name");
        console.log("Atributos data: ");
        console.log(camara)
    </script>
</body>

</html>